> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet Overview

> Lightweight wallet bootstrap endpoint: returns rates summary + user balances.

Intended for fast wallet first paint. Transaction history should be fetched
separately in the background.



## OpenAPI

````yaml /api-reference/krypton_web3.json get /subgraph/wallet-overview
openapi: 3.1.0
info:
  title: Krypton Web3
  version: 0.1.0
servers:
  - url: https://kryptonweb3-production.up.railway.app/
    description: Production API
  - url: http://127.0.0.1:8001
    description: Local API
security: []
paths:
  /subgraph/wallet-overview:
    get:
      tags:
        - subgraph
      summary: Wallet Overview
      description: >-
        Lightweight wallet bootstrap endpoint: returns rates summary + user
        balances.


        Intended for fast wallet first paint. Transaction history should be
        fetched

        separately in the background.
      operationId: wallet_overview_subgraph_wallet_overview_get
      parameters:
        - name: address
          in: query
          required: true
          schema:
            type: string
            description: Wallet address (0x...)
            title: Address
          description: Wallet address (0x...)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````